Package org.eclipse.graphiti.features.context

# Interface IBendpointContext

All Known Subinterfaces:
  `IAddBendpointContext`, `IMoveBendpointContext`, `IRemoveBendpointContext`

All Known Implementing Classes:
  `AddBendpointContext`, `MoveBendpointContext`, `RemoveBendpointContext`

public interface IBendpointContext
The Interface IBendpointContext.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getBendpoint()`
Gets the bendpoint.
`int`
`getBendpointIndex()`
Gets the bendpoint index.
`FreeFormConnection`
`getConnection()`
Gets the connection.

## Method Details

### getBendpoint

Point getBendpoint()
Gets the bendpoint.

Returns:
  the bendpoint

### getConnection

FreeFormConnection getConnection()
Gets the connection.

Returns:
  the connection

### getBendpointIndex

int getBendpointIndex()
Gets the bendpoint index.

Returns:
  the bendpoint index